# OpenLayers.WPSClient

High level API for interaction with Web Processing Services (WPS). An OpenLayers.WPSClient instance is used to create OpenLayers.WPSProcess instances for servers known to the WPSClient. The WPSClient also caches DescribeProcess responses to reduce the number of requests sent to servers when processes are created.

Summary

OpenLayers.WPSClient | High level API for interaction with Web Processing Services (WPS).
Constructor |
OpenLayers.WPSClient |
Functions |
execute | Shortcut to execute a process with a single function call.
getProcess | Creates an OpenLayers.WPSProcess.

### Constructor

### OpenLayers.WPSClient

#### Parameters

options | {Object} Object whose properties will be set on the instance.

#### Avaliable options

servers | {Object} Mandatory. Service metadata, keyed by a local identifier. Can either be a string with the service url or an object literal with additional metadata:

>     servers: {
>         local: '/geoserver/wps'
>     }, {
>         opengeo: {
>             url: 'http://demo.opengeo.org/geoserver/wps',
>             version: '1.0.0'
>         }
>     }

lazy | {Boolean} Optional. Set to true if DescribeProcess should not be requested until a process is fully configured. Default is false.

### Functions

### execute

> execute: function( | options | )

Shortcut to execute a process with a single function call. This is equivalent to using getProcess and then calling execute on the process.

#### Parameters

options | {Object} Options for the execute operation.

#### Available options

server | {String} Mandatory. One of the local identifiers of the configured servers.
process | {String} Mandatory. A process identifier known to the server.
inputs | {Object} The inputs for the process, keyed by input identifier. For spatial data inputs, the value of an input is usually an OpenLayers.Geometry, an OpenLayers.Feature.Vector or an array of geometries or features.
output | {String} The identifier of an output to parse. Optional. If not provided, the first output will be parsed.
success | {Function} Callback to call when the process is complete. This function is called with an outputs object as argument, which will have a property with the identifier of the requested output (e.g. ‘result’). For processes that generate spatial output, the value will either be a single OpenLayers.Feature.Vector or an array of features.
scope | {Object} Optional scope for the success callback.

### getProcess

> getProcess: function( | serverID,
> | processID | )

Creates an OpenLayers.WPSProcess.

#### Parameters

serverID | {String} Local identifier from the servers that this instance was constructed with.
processID | {String} Process identifier known to the server.

#### Returns

{OpenLayers.WPSProcess}

> execute: function( | options | )

Shortcut to execute a process with a single function call.

> getProcess: function( | serverID,
> | processID | )

Creates an OpenLayers.WPSProcess.
Representation of a WPS process.
A Geometry is a description of a geographic object.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close